﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

    public partial class Default2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            List<Item> items = new List<Item>();
            items.Add(new Item() { IdCliente = 1, Email = "Mark" });
            items.Add(new Item() { IdCliente = 2, Email = "Jon" });
            items.Add(new Item() { IdCliente = 3, Email = "Frank" });
            items.Add(new Item() { IdCliente = 4, Email = "Mark" });

            AttivitaGv.DataSource = items;
            AttivitaGv.DataBind();
        }

        protected void AttivitaGV_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowType == DataControlRowType.DataRow)
                {
                    this.RadToolTipManager1.TargetControls.Add(((RadioButton)e.Row.FindControl("rbPianificata")).ClientID, "123", true);
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message, ex);
            }
        }

        protected void OnAjaxUpdate(object sender, ToolTipUpdateEventArgs args)
        {
            this.UpdateToolTip(args.Value, args.UpdatePanel);
        }

        private void UpdateToolTip(string elementID, UpdatePanel panel)
        {
            Control ctrl = Page.LoadControl("AttivitaShort.ascx");
            panel.ContentTemplateContainer.Controls.Add(ctrl);
            AttivitaShort details = (AttivitaShort)ctrl;
            details.ConfigureView(int.Parse(elementID));
        }

        public class Item
        {
            private int id;

            public int IdCliente
            {
                get
                {
                    return id;
                }
                set
                {
                    id = value;
                }
            }

            private string name;

            public string Email
            {
                get
                {
                    return name;
                }
                set
                {
                    name = value;
                }
            }
        }
    }